import pytest
from mlair.data_handler.default_data_handler import DefaultDataHandler
from mlair.data_handler.data_handler_single_station import DataHandlerSingleStation
from mlair.helpers.testing import get_all_args
from mlair.helpers import remove_items


class TestDataHandlerSingleStation:

    def test_requirements(self):
        reqs = get_all_args(DataHandlerSingleStation)
        obj = object.__new__(DataHandlerSingleStation)
        assert sorted(obj.own_args()) == reqs
        assert obj._requirements == []
        assert sorted(obj.requirements()) == remove_items(reqs, "self")
